Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class CompositeCommand<T>

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>
          org.jbpm.services.task.commands.CompositeCommand<T>

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<T>, Command<T>

    public class CompositeCommand<T>

extends TaskCommand<T>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`CompositeCommand()`
`CompositeCommand(TaskCommand<T> mainCommand, TaskCommand<?>... commands)`

Method Summary
`T` | `execute(org.kie.internal.command.Context context)`
`TaskCommand<?>[]` | `getCommands()`
`TaskCommand<T>` | `getMainCommand()`
`Long` | `getTaskId()`
`void` | `setCommands(TaskCommand<?>[] commands)`
`void` | `setMainCommand(TaskCommand<T> mainCommand)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeCommand

    public CompositeCommand()

### CompositeCommand

    public CompositeCommand(TaskCommand<T> mainCommand,
                            TaskCommand<?>... commands)

Method Detail

### execute

    public T execute(org.kie.internal.command.Context context)

### getMainCommand

    public TaskCommand<T> getMainCommand()

### setMainCommand

    public void setMainCommand(TaskCommand<T> mainCommand)

### getCommands

    public TaskCommand<?>[] getCommands()

### setCommands

    public void setCommands(TaskCommand<?>[] commands)

### getTaskId

    public Long getTaskId()

  Overrides:
    `getTaskId` in class `TaskCommand<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.